## org.eclipse.emf.ecore.change.impl
Class FeatureChangeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.change.impl.FeatureChangeImpl

All Implemented Interfaces:
  Notifier, FeatureChange, EObject, InternalEObject

    public class FeatureChangeImpl

extends EObjectImpl
implements FeatureChange

An implementation of the model object 'Feature Change'.

The following features are implemented:

- `Feature Name`
- `Data Value`
- `Set`
- `Value`
- `Feature`
- `Reference Value`
- `List Changes`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `DATA_VALUE_EDEFAULT` The default value of the '`Data Value`' attribute
`protected static int` `EPROXY_FEATURECHANGE` The bit of `EObjectImpl.eFlags` that is used to represent if feature is a proxy.
`protected EStructuralFeature` `feature`
`protected static java.lang.String` `FEATURE_NAME_EDEFAULT` The default value of the '`Feature Name`' attribute
`protected java.lang.String` `featureName`
`protected EList<ListChange>` `listChanges` The cached value of the '`List Changes`' containment reference list
`protected boolean` `newIsSet`
`protected java.lang.Object` `newValue`
`protected boolean` `set` The cached value of the '`Set`' attribute
`protected static boolean` `SET_EDEFAULT` The default value of the '`Set`' attribute
`protected java.lang.Object` `value`
`protected static java.lang.Object` `VALUE_EDEFAULT` The default value of the '`Value`' attribute
`protected java.lang.String` `valueString`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `FeatureChangeImpl()`
`protected` `FeatureChangeImpl(EStructuralFeature feature, java.lang.Object value, boolean isSet)`

Method Summary
`protected void` `apply(EList<java.lang.Object> toList)`
`void` `apply(EObject originalObject)`
`protected void` `apply(EObject originalObject, boolean reverse)`
`protected void` `applyAndReverse(EList<java.lang.Object> toList)`
`void` `applyAndReverse(EObject originalObject)`
`EStructuralFeature` `basicGetFeature()`
`EObject` `basicGetReferenceValue()`
`protected ListChange` `createListChange(EList<ListChange> changesList, ChangeKind kind, int index)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getDataValue()`
`EStructuralFeature` `getFeature()`
`java.lang.String` `getFeatureName()`
`EList<ListChange>` `getListChanges()`
`protected EList<?>` `getListValue(EList<?> originalList)`
`EObject` `getReferenceValue()`
`java.lang.Object` `getValue()`
`boolean` `isSet()`
`boolean` `isSetFeature()`
`boolean` `isSetFeatureName()`
`void` `preApply(EObject originalObject, boolean reverse)`
`void` `setDataValue(java.lang.String newDataValue)`
`void` `setFeature(EStructuralFeature newFeature)`
`void` `setFeatureName(java.lang.String newFeatureName)`
`void` `setReferenceValue(EObject newReferenceValue)`
`void` `setSet(boolean newSet)`
`protected void` `setValue(java.lang.Object value)`
`java.lang.String` `toString()`
`void` `unsetFeature()`
`void` `unsetFeatureName()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### EPROXY_FEATURECHANGE

    protected static final int EPROXY_FEATURECHANGE

  The bit of `EObjectImpl.eFlags` that is used to represent if feature is a proxy.

  See Also:
    Constant Field Values

### FEATURE_NAME_EDEFAULT

    protected static final java.lang.String FEATURE_NAME_EDEFAULT

  The default value of the '`Feature Name`' attribute.

  See Also:
    `getFeatureName()`

### DATA_VALUE_EDEFAULT

    protected static final java.lang.String DATA_VALUE_EDEFAULT

  The default value of the '`Data Value`' attribute.

  See Also:
    `getDataValue()`

### SET_EDEFAULT

    protected static final boolean SET_EDEFAULT

  The default value of the '`Set`' attribute.

  See Also:
    `isSet()`, Constant Field Values

### set

    protected boolean set

  The cached value of the '`Set`' attribute.

  See Also:
    `isSet()`

### VALUE_EDEFAULT

    protected static final java.lang.Object VALUE_EDEFAULT

  The default value of the '`Value`' attribute.

  See Also:
    `getValue()`

### listChanges

    protected EList<ListChange> listChanges

  The cached value of the '`List Changes`' containment reference list.

  See Also:
    `getListChanges()`

### feature

    protected EStructuralFeature feature

### featureName

    protected java.lang.String featureName

### value

    protected java.lang.Object value

### valueString

    protected java.lang.String valueString

### newIsSet

    protected boolean newIsSet

### newValue

    protected java.lang.Object newValue

Constructor Detail

### FeatureChangeImpl

    protected FeatureChangeImpl()

### FeatureChangeImpl

    protected FeatureChangeImpl(EStructuralFeature feature,
                                java.lang.Object value,
                                boolean isSet)

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getFeatureName

    public java.lang.String getFeatureName()

  Specified by:
    `getFeatureName` in interface `FeatureChange`
  Returns:
    the value of the 'Feature Name' attribute.
  See Also:
    `FeatureChange.isSetFeatureName()`, `FeatureChange.unsetFeatureName()`, `FeatureChange.setFeatureName(String)`, `ChangePackage.getFeatureChange_FeatureName()`

### setFeatureName

    public void setFeatureName(java.lang.String newFeatureName)

  Specified by:
    `setFeatureName` in interface `FeatureChange`
  Parameters:
    `newFeatureName` - the new value of the 'Feature Name' attribute.
  See Also:
    `FeatureChange.isSetFeatureName()`, `FeatureChange.unsetFeatureName()`, `FeatureChange.getFeatureName()`

### unsetFeatureName

    public void unsetFeatureName()

  Specified by:
    `unsetFeatureName` in interface `FeatureChange`
  See Also:
    `FeatureChange.isSetFeatureName()`, `FeatureChange.getFeatureName()`, `FeatureChange.setFeatureName(String)`

### isSetFeatureName

    public boolean isSetFeatureName()

  Specified by:
    `isSetFeatureName` in interface `FeatureChange`
  Returns:
    whether the value of the 'Feature Name' attribute is set.
  See Also:
    `FeatureChange.unsetFeatureName()`, `FeatureChange.getFeatureName()`, `FeatureChange.setFeatureName(String)`

### getDataValue

    public java.lang.String getDataValue()

  Specified by:
    `getDataValue` in interface `FeatureChange`
  Returns:
    the value of the 'Data Value' attribute.
  See Also:
    `FeatureChange.setDataValue(String)`, `ChangePackage.getFeatureChange_DataValue()`

### setDataValue

    public void setDataValue(java.lang.String newDataValue)

  Specified by:
    `setDataValue` in interface `FeatureChange`
  Parameters:
    `newDataValue` - the new value of the 'Data Value' attribute.
  See Also:
    `FeatureChange.getDataValue()`

### isSet

    public boolean isSet()

  Specified by:
    `isSet` in interface `FeatureChange`
  Returns:
    the value of the 'Set' attribute.
  See Also:
    `FeatureChange.setSet(boolean)`, `ChangePackage.getFeatureChange_Set()`

### setSet

    public void setSet(boolean newSet)

  Specified by:
    `setSet` in interface `FeatureChange`
  Parameters:
    `newSet` - the new value of the 'Set' attribute.
  See Also:
    `FeatureChange.isSet()`

### getFeature

    public EStructuralFeature getFeature()

  Specified by:
    `getFeature` in interface `FeatureChange`
  Returns:
    the value of the 'Feature' reference.
  See Also:
    `FeatureChange.isSetFeature()`, `FeatureChange.unsetFeature()`, `FeatureChange.setFeature(EStructuralFeature)`, `ChangePackage.getFeatureChange_Feature()`

### basicGetFeature

    public EStructuralFeature basicGetFeature()

### setFeature

    public void setFeature(EStructuralFeature newFeature)

  Specified by:
    `setFeature` in interface `FeatureChange`
  Parameters:
    `newFeature` - the new value of the 'Feature' reference.
  See Also:
    `FeatureChange.isSetFeature()`, `FeatureChange.unsetFeature()`, `FeatureChange.getFeature()`

### unsetFeature

    public void unsetFeature()

  Specified by:
    `unsetFeature` in interface `FeatureChange`
  See Also:
    `FeatureChange.isSetFeature()`, `FeatureChange.getFeature()`, `FeatureChange.setFeature(EStructuralFeature)`

### isSetFeature

    public boolean isSetFeature()

  Specified by:
    `isSetFeature` in interface `FeatureChange`
  Returns:
    whether the value of the 'Feature' reference is set.
  See Also:
    `FeatureChange.unsetFeature()`, `FeatureChange.getFeature()`, `FeatureChange.setFeature(EStructuralFeature)`

### getReferenceValue

    public EObject getReferenceValue()

  Specified by:
    `getReferenceValue` in interface `FeatureChange`
  Returns:
    the value of the 'Reference Value' reference.
  See Also:
    `FeatureChange.setReferenceValue(EObject)`, `ChangePackage.getFeatureChange_ReferenceValue()`

### basicGetReferenceValue

    public EObject basicGetReferenceValue()

### setReferenceValue

    public void setReferenceValue(EObject newReferenceValue)

  Specified by:
    `setReferenceValue` in interface `FeatureChange`
  Parameters:
    `newReferenceValue` - the new value of the 'Reference Value' reference.
  See Also:
    `FeatureChange.getReferenceValue()`

### getListChanges

    public EList<ListChange> getListChanges()

  Specified by:
    `getListChanges` in interface `FeatureChange`
  Returns:
    the value of the 'List Changes' containment reference list.
  See Also:
    `ChangePackage.getFeatureChange_ListChanges()`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `FeatureChange`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `ChangePackage.getFeatureChange_Value()`

### setValue

    protected void setValue(java.lang.Object value)

### getListValue

    protected EList<?> getListValue(EList<?> originalList)

### apply

    public void apply(EObject originalObject)

  Specified by:
    `apply` in interface `FeatureChange`

### applyAndReverse

    public void applyAndReverse(EObject originalObject)

  Specified by:
    `applyAndReverse` in interface `FeatureChange`

### apply

    protected void apply(EObject originalObject,
                         boolean reverse)

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### preApply

    public void preApply(EObject originalObject,
                         boolean reverse)

### apply

    protected void apply(EList<java.lang.Object> toList)

### applyAndReverse

    protected void applyAndReverse(EList<java.lang.Object> toList)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

### createListChange

    protected ListChange createListChange(EList<ListChange> changesList,
                                          ChangeKind kind,
                                          int index)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.